#pragma once

#include <string>
#include <vector>
#include <boost/program_options.hpp>

namespace dropshell {

// Version information
const std::string VERSION = "1.0.0";
const std::string RELEASE_DATE = "2025-04-21";
const std::string AUTHOR = "j842";
const std::string LICENSE = "MIT";

// Server information structure
struct ServerInfo {
    std::string name;
    std::string address;
};

// Command handlers
void print_help(const boost::program_options::options_description& desc);
void print_version();
void check_status();
void list_servers();
void init_user_directory(const std::string& path);

// Utility functions
std::vector<ServerInfo> get_configured_servers();
bool get_config_path(std::string& path);
bool load_config();
bool is_config_loaded();
bool get_user_directory(std::string& path);

} // namespace dropshell 